Package voltage.core

# Class VoltageObjects

java.lang.Object
voltage.core.VoltageObjects

public class VoltageObjects extends Object
((Internal global data structure not for module developers.))

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoltageObjects.MIDIEvent`
  Constains a MIDI message with a sample time.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `VoltageAudioCable`
  `aftertouchCable`
  `VoltageAudioCable[]`
  `audioInCables`
  `VoltageAudioBus[]`
  `audioOutBuses`
  `VoltageAudioCable`
  `bendCable`
  `VoltageAudioBus[]`
  `buses`
  `int`
  `CurrentBufferSampleNumber`
  `VoltageAudioCable`
  `gateCable`
  `boolean`
  `IsTotalSamplesMixedEven`
  `long`
  `LastPlayPositionUpdate`
  `static final int`
  `MAX_NUM_BUSES`
  `static final int`
  `MAX_NUM_POLY_VOICES`
  `VoltageMidiBus[]`
  `midiBuses`
  `VoltageMidiCable`
  `midiInCable`
  `ArrayList<VoltageObjects.MIDIEvent>`
  `midiOutputMessages`
  `ArrayList<VoltageModule>`
  `moduleList`
  `ArrayList<VoltageModule>`
  `moduleMixList`
  `ArrayList<VoltageModule>`
  `modulesToAdd`
  `ArrayList<VoltageModule>`
  `modulesToAddToMix`
  `ArrayList<VoltageModule>`
  `modulesToRemove`
  `VoltageAudioCable`
  `modWheelCable`
  `static final int`
  `NumberOfInputs`
  `static final int`
  `NumberOfOutputs`
  `int`
  `NumberOfPolyVoices`
  `VoltageAudioCable`
  `pitchCable`
  `VoltageAudioCable`
  `playGateCable`
  `double`
  `PlayPositionInQuarterNotes`
  `double`
  `PlayPositionInSeconds`
  `VoltageAudioCable`
  `playTriggerCable`
  `VoltagePolyBus[]`
  `polyBuses`
  `VoltagePolyCable`
  `polyGateCable`
  `VoltagePolyCable`
  `polyPitchCable`
  `VoltagePolyCable`
  `polyVelocityCable`
  `ScheduledExecutorService`
  `scheduler`
  `VoltageAudioCable`
  `stopTriggerCable`
  `VoltageAudioCable`
  `sustainCable`
  `VoltageAudioCable`
  `syncOutCable`
  `double`
  `Tempo`
  `int`
  `TimeSignatureDenominator`
  `int`
  `TimeSignatureNumerator`
  `long`
  `TotalSamplesMixed`
  `VoltageAudioCable`
  `triggerCable`
  `VoltageAudioCable`
  `velocityCable`
  `final long`
  `voltageObjects`
  `static ArrayList<VoltageObjects>`
  `voltageObjectsList`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `finalize()`
  `boolean`
  `IsSchedulerCompleted()`
  `void`
  `Mix()`
  `void`
  `Mix(int numSamples)`
  `void`
  `NotifyAllModules(VoltageModule.ModuleNotifications notification, double doubleValue, long longValue, int x, int y, Object object)`
  `void`
  `PostMix()`
  `void`
  `PreMix(int samples)`
  `static void`
  `SetNumberOfMixThreads(int numThreads)`
  `void`
  `SetNumberOfPolyVoices(int numVoices)`
  `boolean`
  `ShutdownScheduler()`
  `void`
  `StopScheduler()`
  `void`
  `UpdateModuleLists()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### moduleList

    public ArrayList<VoltageModule> moduleList

  - ### moduleMixList

    public ArrayList<VoltageModule> moduleMixList

  - ### modulesToAdd

    public ArrayList<VoltageModule> modulesToAdd

  - ### modulesToAddToMix

    public ArrayList<VoltageModule> modulesToAddToMix

  - ### modulesToRemove

    public ArrayList<VoltageModule> modulesToRemove

  - ### voltageObjectsList

    public static ArrayList<VoltageObjects> voltageObjectsList

  - ### MAX_NUM_BUSES

    public static final int MAX_NUM_BUSES
    See Also:
      - Constant Field Values

  - ### buses

    public VoltageAudioBus[] buses

  - ### polyBuses

    public VoltagePolyBus[] polyBuses

  - ### midiBuses

    public VoltageMidiBus[] midiBuses

  - ### scheduler

    public ScheduledExecutorService scheduler

  - ### TotalSamplesMixed

    public volatile long TotalSamplesMixed

  - ### IsTotalSamplesMixedEven

    public volatile boolean IsTotalSamplesMixedEven

  - ### Tempo

    public double Tempo

  - ### TimeSignatureNumerator

    public int TimeSignatureNumerator

  - ### TimeSignatureDenominator

    public int TimeSignatureDenominator

  - ### LastPlayPositionUpdate

    public long LastPlayPositionUpdate

  - ### PlayPositionInSeconds

    public double PlayPositionInSeconds

  - ### PlayPositionInQuarterNotes

    public double PlayPositionInQuarterNotes

  - ### CurrentBufferSampleNumber

    public volatile int CurrentBufferSampleNumber

  - ### MAX_NUM_POLY_VOICES

    public static final int MAX_NUM_POLY_VOICES
    See Also:
      - Constant Field Values

  - ### NumberOfPolyVoices

    public int NumberOfPolyVoices

  - ### midiOutputMessages

    public ArrayList<VoltageObjects.MIDIEvent> midiOutputMessages

  - ### pitchCable

    public VoltageAudioCable pitchCable

  - ### gateCable

    public VoltageAudioCable gateCable

  - ### triggerCable

    public VoltageAudioCable triggerCable

  - ### velocityCable

    public VoltageAudioCable velocityCable

  - ### aftertouchCable

    public VoltageAudioCable aftertouchCable

  - ### sustainCable

    public VoltageAudioCable sustainCable

  - ### bendCable

    public VoltageAudioCable bendCable

  - ### modWheelCable

    public VoltageAudioCable modWheelCable

  - ### playTriggerCable

    public VoltageAudioCable playTriggerCable

  - ### stopTriggerCable

    public VoltageAudioCable stopTriggerCable

  - ### playGateCable

    public VoltageAudioCable playGateCable

  - ### syncOutCable

    public VoltageAudioCable syncOutCable

  - ### polyPitchCable

    public VoltagePolyCable polyPitchCable

  - ### polyGateCable

    public VoltagePolyCable polyGateCable

  - ### polyVelocityCable

    public VoltagePolyCable polyVelocityCable

  - ### midiInCable

    public VoltageMidiCable midiInCable

  - ### audioInCables

    public VoltageAudioCable[] audioInCables

  - ### audioOutBuses

    public VoltageAudioBus[] audioOutBuses

  - ### NumberOfInputs

    public static final int NumberOfInputs
    See Also:
      - Constant Field Values

  - ### NumberOfOutputs

    public static final int NumberOfOutputs
    See Also:
      - Constant Field Values

  - ### voltageObjects

    public final long voltageObjects

- ## Method Details

  - ### finalize

    public void finalize()

  - ### SetNumberOfMixThreads

    public static void SetNumberOfMixThreads(int numThreads)

  - ### PreMix

    public void PreMix(int samples)

  - ### PostMix

    public void PostMix()

  - ### Mix

    public void Mix()

  - ### Mix

    public void Mix(int numSamples)

  - ### UpdateModuleLists

    public void UpdateModuleLists()

  - ### StopScheduler

    public void StopScheduler()

  - ### ShutdownScheduler

    public boolean ShutdownScheduler()

  - ### IsSchedulerCompleted

    public boolean IsSchedulerCompleted()

  - ### SetNumberOfPolyVoices

    public void SetNumberOfPolyVoices(int numVoices)

  - ### NotifyAllModules

    public void NotifyAllModules(VoltageModule.ModuleNotifications notification, double doubleValue, long longValue, int x, int y, Object object)